curl --request POST \
--url https://sandbox.tight.com/v6/company/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cursor": "<string>",
"limit": 123,
"sort": {
"orderBy": "NAME",
"direction": "ASC"
},
"filter": {
"name": {
"equal": "<string>",
"notEqual": "<string>",
"greaterThan": "<string>",
"greaterThanEqual": "<string>",
"lessThan": "<string>",
"lessThanEqual": "<string>",
"contain": "<string>"
},
"status": {
"in": [
"ACTIVE"
],
"notIn": [
"ACTIVE"
],
"equal": "ACTIVE",
"notEqual": "ACTIVE",
"greaterThan": "ACTIVE",
"greaterThanEqual": "ACTIVE",
"lessThan": "ACTIVE",
"lessThanEqual": "ACTIVE"
},
"entityType": {
"in": [
"LLC",
"S_CORP"
],
"notIn": [
"SOLE_PROPRIETORSHIP"
],
"equal": "SOLE_PROPRIETORSHIP",
"notEqual": "SOLE_PROPRIETORSHIP",
"greaterThan": "SOLE_PROPRIETORSHIP",
"greaterThanEqual": "SOLE_PROPRIETORSHIP",
"lessThan": "SOLE_PROPRIETORSHIP",
"lessThanEqual": "SOLE_PROPRIETORSHIP"
},
"businessType": {
"id": {
"in": [
"bzt_123456",
"bzt_789012"
],
"notIn": [
"bzt_999999"
]
}
}
}
}
'{
"result": "SUCCESS",
"data": [
{
"name": "ACME Corp",
"owners": [
{
"userId": "fake_userId",
"email": "joe@tight.com",
"firstName": "Joe",
"lastName": "Perkins",
"language": "EN"
}
],
"id": "co_235823",
"apiCompanyId": "fake_company_123",
"entityType": "SOLE_PROPRIETORSHIP",
"address": {
"countryCode": "USA",
"state": "<string>",
"city": "<string>",
"zip": "<string>",
"phoneWork": "<string>",
"address1": "<string>",
"address2": "<string>"
},
"accountingMethod": "ACCRUAL",
"businessType": {
"id": "bzt_123456",
"name": "Electrician"
},
"availableFeatures": {
"bankTransactions": true,
"bills": true,
"bookkeeping": true,
"imports": true,
"invoicing": true,
"payroll": true,
"reporting": true,
"taxes": true,
"timeTracking": true,
"mileage": true
}
}
],
"cursor": {
"after": "<string>",
"before": "<string>"
}
}Query companies for the authenticated user
curl --request POST \
--url https://sandbox.tight.com/v6/company/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cursor": "<string>",
"limit": 123,
"sort": {
"orderBy": "NAME",
"direction": "ASC"
},
"filter": {
"name": {
"equal": "<string>",
"notEqual": "<string>",
"greaterThan": "<string>",
"greaterThanEqual": "<string>",
"lessThan": "<string>",
"lessThanEqual": "<string>",
"contain": "<string>"
},
"status": {
"in": [
"ACTIVE"
],
"notIn": [
"ACTIVE"
],
"equal": "ACTIVE",
"notEqual": "ACTIVE",
"greaterThan": "ACTIVE",
"greaterThanEqual": "ACTIVE",
"lessThan": "ACTIVE",
"lessThanEqual": "ACTIVE"
},
"entityType": {
"in": [
"LLC",
"S_CORP"
],
"notIn": [
"SOLE_PROPRIETORSHIP"
],
"equal": "SOLE_PROPRIETORSHIP",
"notEqual": "SOLE_PROPRIETORSHIP",
"greaterThan": "SOLE_PROPRIETORSHIP",
"greaterThanEqual": "SOLE_PROPRIETORSHIP",
"lessThan": "SOLE_PROPRIETORSHIP",
"lessThanEqual": "SOLE_PROPRIETORSHIP"
},
"businessType": {
"id": {
"in": [
"bzt_123456",
"bzt_789012"
],
"notIn": [
"bzt_999999"
]
}
}
}
}
'{
"result": "SUCCESS",
"data": [
{
"name": "ACME Corp",
"owners": [
{
"userId": "fake_userId",
"email": "joe@tight.com",
"firstName": "Joe",
"lastName": "Perkins",
"language": "EN"
}
],
"id": "co_235823",
"apiCompanyId": "fake_company_123",
"entityType": "SOLE_PROPRIETORSHIP",
"address": {
"countryCode": "USA",
"state": "<string>",
"city": "<string>",
"zip": "<string>",
"phoneWork": "<string>",
"address1": "<string>",
"address2": "<string>"
},
"accountingMethod": "ACCRUAL",
"businessType": {
"id": "bzt_123456",
"name": "Electrician"
},
"availableFeatures": {
"bankTransactions": true,
"bills": true,
"bookkeeping": true,
"imports": true,
"invoicing": true,
"payroll": true,
"reporting": true,
"taxes": true,
"timeTracking": true,
"mileage": true
}
}
],
"cursor": {
"after": "<string>",
"before": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is a partner-level token.
Success
The result of the action performed.
SUCCESS, FAILURE The data generated by the action performed.
Show child attributes
Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.
Show child attributes